## rust-symbolic-demangle 12.4.0

=== vendor/swift/lib/Demangling/CMakeLists.txt ===
add_swift_host_library(swiftDemangling STATIC
  Demangler.cpp
  Context.cpp
  ManglingUtils.cpp
  NodeDumper.cpp
  NodePrinter.cpp
  OldDemangler.cpp
  OldRemangler.cpp
  Punycode.cpp
  Remangler.cpp)
target_compile_definitions(swiftDemangling PRIVATE
  LLVM_DISABLE_ABI_BREAKING_CHECKS_ENFORCING=1)

# NOTE: Runtime libraries that depend on swiftDemangling should define
# SWIFT_INLINE_NAMESPACE to specify the identifier that will be used for an
# inline namespace that will be added around the symbols defined by this
# library. This keeps the demangling symbols in those libraries distinct
# from those in the compiler, which prevents ODR violations in certain
# contexts; for example, on platforms that support statically linking the
# Swift standard library, it allows this to happen safely when the binary
# also links in compiler libraries that may not match exactly with the
# runtime version.

## rust-symbolic-demangle 9.1.1

=== debian/changelog ===
rust-symbolic-demangle (9.1.1-1) unstable; urgency=medium

  * Package symbolic-demangle 9.1.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Aug 2022 22:33:39 +0200

=== debian/control ===
Source: rust-symbolic-demangle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cpp-demangle-0.3+default-dev (>= 0.3.2-~~) <!nocheck>,
 librust-rustc-demangle-0.1+default-dev (>= 0.1.16-~~) <!nocheck>,
 librust-symbolic-common-9+default-dev (>= 9.1.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/symbolic-demangle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/symbolic-demangle
Homepage: https://github.com/getsentry/symbolic
Rules-Requires-Root: no

Package: librust-symbolic-demangle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cc-1+default-dev (>= 1.0.50-~~),
 librust-cpp-demangle-0.3+default-dev (>= 0.3.2-~~),
 librust-rustc-demangle-0.1+default-dev (>= 0.1.16-~~),
 librust-symbolic-common-9+default-dev (>= 9.1.1-~~)
Provides:
 librust-symbolic-demangle+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle+default-dev (= ${binary:Version}),
 librust-symbolic-demangle+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.1.1+rustc-demangle-dev (= ${binary:Version})
Description: Demangle symbols from various languages and compilers - Rust source code
 This package contains the source for the Rust symbolic-demangle crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --all-features
Features: test-name=rust-symbolic-demangle:@
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features --features cc
Features: test-name=librust-symbolic-demangle-dev:cc
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features --features cpp
Features: test-name=librust-symbolic-demangle-dev:cpp
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features --features cpp_demangle
Features: test-name=librust-symbolic-demangle-dev:cpp_demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets 
Features: test-name=librust-symbolic-demangle-dev:default
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features --features rust
Features: test-name=librust-symbolic-demangle-dev:rust
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features --features rustc-demangle
Features: test-name=librust-symbolic-demangle-dev:rustc-demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.1.1 --all-targets --no-default-features
Features: test-name=librust-symbolic-demangle-dev:
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-symbolic-demangle 9.2.1

=== debian/changelog ===
rust-symbolic-demangle (9.2.1-1) unstable; urgency=medium

  * Team upload.
  * Package symbolic-demangle 9.2.1 from crates.io using debcargo 2.6.0
  * Bump cpp_demangle depdendency to version 0.4.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 02 Jan 2023 19:00:45 +0000

=== debian/control ===
Source: rust-symbolic-demangle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cpp-demangle-0.4+default-dev <!nocheck>,
 librust-rustc-demangle-0.1+default-dev (>= 0.1.16-~~) <!nocheck>,
 librust-symbolic-common-9+default-dev (>= 9.2.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/symbolic-demangle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/symbolic-demangle
Homepage: https://github.com/getsentry/symbolic
X-Cargo-Crate: symbolic-demangle
Rules-Requires-Root: no

Package: librust-symbolic-demangle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cc-1+default-dev (>= 1.0.50-~~),
 librust-cpp-demangle-0.4+default-dev,
 librust-rustc-demangle-0.1+default-dev (>= 0.1.16-~~),
 librust-symbolic-common-9+default-dev (>= 9.2.1-~~)
Provides:
 librust-symbolic-demangle+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle+default-dev (= ${binary:Version}),
 librust-symbolic-demangle+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-9.2.1+rustc-demangle-dev (= ${binary:Version})
Description: Demangle symbols from various languages and compilers - Rust source code
 This package contains the source for the Rust symbolic-demangle crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --all-features
Features: test-name=rust-symbolic-demangle:@
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features --features cc
Features: test-name=librust-symbolic-demangle-dev:cc
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features --features cpp
Features: test-name=librust-symbolic-demangle-dev:cpp
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features --features cpp_demangle
Features: test-name=librust-symbolic-demangle-dev:cpp_demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets
Features: test-name=librust-symbolic-demangle-dev:default
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features --features rust
Features: test-name=librust-symbolic-demangle-dev:rust
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features --features rustc-demangle
Features: test-name=librust-symbolic-demangle-dev:rustc-demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 9.2.1 --all-targets --no-default-features
Features: test-name=librust-symbolic-demangle-dev:
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-symbolic-demangle 12.4.0

=== debian/changelog ===
rust-symbolic-demangle (12.4.0-1) unstable; urgency=medium

  * Package symbolic-demangle 12.4.0 from crates.io using debcargo 2.6.0
    for grcov

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Sep 2023 11:41:33 +0200

=== debian/control ===
Source: rust-symbolic-demangle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cpp-demangle-0+default-dev <!nocheck>,
 librust-rustc-demangle-0.1+default-dev (>= 0.1.21-~~) <!nocheck>,
 librust-symbolic-common-12+default-dev (>= 12.4.0-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/symbolic-demangle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/symbolic-demangle
Homepage: https://github.com/getsentry/symbolic
X-Cargo-Crate: symbolic-demangle
Rules-Requires-Root: no

Package: librust-symbolic-demangle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cc-1+default-dev (>= 1.0.79-~~),
 librust-cpp-demangle-0+default-dev,
 librust-rustc-demangle-0.1+default-dev (>= 0.1.21-~~),
 librust-symbolic-common-12+default-dev (>= 12.4.0-~~)
Provides:
 librust-symbolic-demangle+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle+default-dev (= ${binary:Version}),
 librust-symbolic-demangle+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-12+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4+rustc-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+cc-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+cpp-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+cpp-demangle-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+default-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+rust-dev (= ${binary:Version}),
 librust-symbolic-demangle-12.4.0+rustc-demangle-dev (= ${binary:Version})
Description: Demangle symbols from various languages and compilers - Rust source code
 This package contains the source for the Rust symbolic-demangle crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --all-features
Features: test-name=rust-symbolic-demangle:@
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features --features cc
Features: test-name=librust-symbolic-demangle-dev:cc
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features --features cpp
Features: test-name=librust-symbolic-demangle-dev:cpp
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features --features cpp_demangle
Features: test-name=librust-symbolic-demangle-dev:cpp_demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets
Features: test-name=librust-symbolic-demangle-dev:default
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features --features rust
Features: test-name=librust-symbolic-demangle-dev:rust
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features --features rustc-demangle
Features: test-name=librust-symbolic-demangle-dev:rustc-demangle
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test symbolic-demangle 12.4.0 --all-targets --no-default-features
Features: test-name=librust-symbolic-demangle-dev:
Depends: dh-cargo (>= 18), librust-similar-asserts-1+default-dev (>= 1.4.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/symbolic-demangle-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/symbolic-demangle .*/crates/symbolic-demangle/@ANY_VERSION@/download
